OGRE: Ogre::TerrainMaterialGenerator::Profile Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TerrainMaterialGenerator::Profile Class Referenceabstract

Inner class which should also be subclassed to provide profile-specific material generation. More...

`#include <OgreTerrainMaterialGenerator.h>`

Inheritance diagram for Ogre::TerrainMaterialGenerator::Profile:
[legend]

## Public Member Functions
| Profile (const Profile &prof)
| Profile (TerrainMaterialGenerator *parent, const String &name, const String &desc)
virtual | ~Profile ()
virtual MaterialPtr | generate (const Terrain *terrain)=0
| Generate / reuse a material for the terrain. More...
virtual MaterialPtr | generateForCompositeMap (const Terrain *terrain)=0
| Generate / reuse a material for the terrain. More...
const String & | getDescription () const
| Get the description of this profile. More...
virtual uint8 | getMaxLayers (const Terrain *terrain) const =0
| Get the number of layers supported. More...
const String & | getName () const
| Get the name of this profile. More...
TerrainMaterialGenerator * | getParent () const
| Get the generator which owns this profile. More...
virtual bool | isVertexCompressionSupported () const =0
| Compressed vertex format supported? More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual void | requestOptions (Terrain *terrain)=0
| Request the options needed from the terrain. More...
virtual void | setLightmapEnabled (bool enabled)=0
| Whether to support a light map over the terrain in the shader, if it's present (default true) More...
virtual void | updateCompositeMap (const Terrain *terrain, const Rect &rect)
| Update the composite map for a terrain. More...
virtual void | updateParams (const MaterialPtr &mat, const Terrain *terrain)=0
| Update params for a terrain. More...
virtual void | updateParamsForCompositeMap (const MaterialPtr &mat, const Terrain *terrain)=0
| Update params for a terrain. More...

## Detailed Description

Inner class which should also be subclassed to provide profile-specific material generation.

## Constructor & Destructor Documentation

## ◆ Profile() [1/2]

Ogre::TerrainMaterialGenerator::Profile::Profile | ( | TerrainMaterialGenerator * | parent,
|  | const String & | name,
|  | const String & | desc
| ) |  |
| inline

## ◆ Profile() [2/2]

Ogre::TerrainMaterialGenerator::Profile::Profile | ( | const Profile & | prof | ) |
| inline

## ◆ ~Profile()

virtual Ogre::TerrainMaterialGenerator::Profile::~Profile | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ generate()

virtual MaterialPtr Ogre::TerrainMaterialGenerator::Profile::generate | ( | const Terrain * | terrain | ) |
| pure virtual

Generate / reuse a material for the terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::generate().

## ◆ generateForCompositeMap()

virtual MaterialPtr Ogre::TerrainMaterialGenerator::Profile::generateForCompositeMap | ( | const Terrain * | terrain | ) |
| pure virtual

Generate / reuse a material for the terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::generateForCompositeMap().

## ◆ getDescription()

const String& Ogre::TerrainMaterialGenerator::Profile::getDescription | ( |  | ) | const
| inline

Get the description of this profile.

## ◆ getMaxLayers()

virtual uint8 Ogre::TerrainMaterialGenerator::Profile::getMaxLayers | ( | const Terrain * | terrain | ) | const
| pure virtual

Get the number of layers supported.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::getMaxLayers().

## ◆ getName()

const String& Ogre::TerrainMaterialGenerator::Profile::getName | ( |  | ) | const
| inline

Get the name of this profile.

## ◆ getParent()

TerrainMaterialGenerator* Ogre::TerrainMaterialGenerator::Profile::getParent | ( |  | ) | const
| inline

Get the generator which owns this profile.

## ◆ isVertexCompressionSupported()

virtual bool Ogre::TerrainMaterialGenerator::Profile::isVertexCompressionSupported | ( |  | ) | const
| pure virtual

Compressed vertex format supported?

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ requestOptions()

virtual void Ogre::TerrainMaterialGenerator::Profile::requestOptions | ( | Terrain * | terrain | ) |
| pure virtual

Request the options needed from the terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::requestOptions().

## ◆ setLightmapEnabled()

virtual void Ogre::TerrainMaterialGenerator::Profile::setLightmapEnabled | ( | bool | enabled | ) |
| pure virtual

Whether to support a light map over the terrain in the shader, if it's present (default true)

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::setLightmapEnabled().

## ◆ updateCompositeMap()

virtual void Ogre::TerrainMaterialGenerator::Profile::updateCompositeMap | ( | const Terrain * | terrain,
|  | const Rect & | rect
| ) |  |
| virtual

Update the composite map for a terrain.

Referenced by Ogre::TerrainMaterialGenerator::updateCompositeMap().

## ◆ updateParams()

virtual void Ogre::TerrainMaterialGenerator::Profile::updateParams | ( | const MaterialPtr & | mat,
|  | const Terrain * | terrain
| ) |  |
| pure virtual

Update params for a terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::updateParams().

## ◆ updateParamsForCompositeMap()

virtual void Ogre::TerrainMaterialGenerator::Profile::updateParamsForCompositeMap | ( | const MaterialPtr & | mat,
|  | const Terrain * | terrain
| ) |  |
| pure virtual

Update params for a terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::updateParamsForCompositeMap().

The documentation for this class was generated from the following file:

- OgreTerrainMaterialGenerator.h